import processing.core.*; import ddf.minim.*; import java.applet.*; import java.awt.*; import java.awt.image.*; import java.awt.event.*; import java.io.*; import java.net.*; import java.text.*; import java.util.*; import java.util.zip.*; import javax.sound.midi.*; import javax.sound.midi.spi.*; import javax.sound.sampled.*; import javax.sound.sampled.spi.*; import java.util.regex.*; import javax.xml.parsers.*; import javax.xml.transform.*; import javax.xml.transform.dom.*; import javax.xml.transform.sax.*; import javax.xml.transform.stream.*; import org.xml.sax.*; import org.xml.sax.ext.*; import org.xml.sax.helpers.*; public class infinite_beets extends PApplet {

int numSamples = 32;
AudioSample samples[] = new AudioSample[numSamples];

int lastSamplePlayed = 0;

boolean firstTime = true;

public void setup()
{
  size(400, 150);
  
  Minim.start(this);
  loadSamples();

  //configure font stuff
  PFont font;
  font = loadFont("Apple-Chancery-48.vlw");
  textFont(font);

  frameRate(2);
}

public void loadSamples()
{
  for (int i = 0; i < numSamples; i++)
  {
    String name = (i + 7) + ".wav";
    println("loading: " + name);
    samples[i] = Minim.loadSample(name);
  }
}

public void draw()
{

  if (firstTime)
  {
    background(0);
    text("infinite beets.", 65, 90);    
    firstTime = false;
  }

  int whichSample = PApplet.parseInt(random(numSamples));
  //int whichSample = int(random(5) + 33);

  while (whichSample == lastSamplePlayed)
    whichSample = PApplet.parseInt(random(numSamples));
    //whichSample = int(random(5) + 33);
    
  println("playing: " + whichSample); 

  samples[whichSample].setPan(random(1.0f));
  samples[whichSample].trigger();

  lastSamplePlayed = whichSample;

}

public void stop()
{
  for (int i = 0; i < numSamples; i++)
  {
    samples[i].close();
    super.stop();
  }

}

  static public void main(String args[]) {     PApplet.main(new String[] { "infinite_beets" });  }}